/*----------------------- Black Cta Box ------------------------------*/
.black-cta-box {
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-image: url(./../assets/Images/black-cta-back.webp);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  height: 31.25rem;
  margin-bottom: 5rem;
}
.black-cta-box .headline {
  background: linear-gradient(82.67deg, #ff2566 65.56%, #a75098 99.29%);
  font-weight: 600;
  font-size: 3rem;
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
  margin-bottom: 1rem;
}
.black-cta-box .content-cta {
  display: inline-block;
  color: #fffefe;
  font-weight: 700;
  font-size: 2.5rem;
  margin-bottom: 2.5rem;
}
.black-cta-box a {
  width: 15%;
  margin: 1%;
  font-weight: 700;
}

/*----------------------------------------------------------------*/

/*----------------------- The 6-Box Component ------------------*/
.the-6-box .row {
  display: flex;
}
.the-6-box .single-block {
  margin: 0.875rem;
  display: flex;
  flex: 1;
}
.the-6-box .service-block {
  background: #edecec;
  border: 1px solid #eff7ff;
  border-radius: 5px;
  overflow: hidden;
  position: relative;
  z-index: 5;
  padding: 2rem;
  -webkit-box-shadow: 0px 2px 10px 0px rgba(12, 0, 46, 0.06);
  box-shadow: 0px 2px 10px 0px rgba(12, 0, 46, 0.06);
  border: 1px solid #e6e4e4;
}

.the-6-box .service-block i {
  float: left;
  position: relative;
  margin-bottom: 1.5rem;
  text-align: center;
  display: block;
  font-size: 40px;
}
.the-6-box .service-block i:dir(rtl) {
  float: right;
}
.the-6-box .service-block .title {
  font-size: 18px;
  line-height: 27px;
  color: #c41549;
  margin-bottom: 1.875rem;
  font-weight: 600;
  clear: both;
}
.the-6-box .service-block p {
  color: #2a2929ad;
  padding-bottom: 1.25rem;
  font-size: 16px;
  font-weight: 300;
  line-height: 24px;
}
/*----------------------------------------------------------------*/

/*------------------- Normal style blog post card ----------------*/
.blog-post-normal {
  border: solid 1px rgb(0 0 0 / 0.2);
  padding: 0.5rem;
  border-radius: 1rem;
  display: flex;
  flex-direction: column;
}
.blog-post-normal a[rel="tag"] {
  text-decoration: none;
  font-weight: 500;
  font-size: 0.875rem;
  color: #c41549;
}
.blog-post-normal a[rel="tag"]:hover {
  text-decoration: underline;
}

.blog-post-normal img {
  width: 100%;
  height: auto;
  border: solid 1px rgb(0 0 0/0.2);
  border-radius: 0.5rem;
  transition: 0.5s ease-in-out;
}
.blog-post-normal h3 {
  color: #202020;
  font-weight: 500;
  font-size: 20px;
  margin-bottom: 0.25rem;
}
.blog-post-normal h3 a {
  color: #202020;
  text-decoration: none;
}
.blog-post-normal h3 a:hover {
  text-decoration: underline;
}

.blog-post-normal p {
  font-weight: 300;
  color: #4d4c4c;
  font-size: 16px;
  margin-bottom: 0.5rem;
}
.blog-post-normal label {
  margin-top: auto;
}
.blog-post-normal label a {
  color: #c41549;
  text-decoration: none;
  font-weight: 700;
  font-size: 1rem;
  margin-top: auto;
}
.blog-post-normal label a:hover {
  text-decoration: underline;
}
.blog-post-normal > div {
  text-transform: capitalize;
  margin: 0.5rem 0;
}
.blog-post-normal img:hover {
  scale: 1.025;
}

/*----------------------------------------------------------------*/

/*------------------- Long-image, transparent style blog post card ----------------*/
.blog-post-long {
  border-radius: 0.625rem;
  border: solid 1px darkgray;
  transition: 0.5s ease-in-out;
  max-height: 28rem;
}
.blog-post-long:hover {
  border: solid 1px #ff2566;
  box-shadow: 5px 5px 5px rgb(0 0 0/ 0.2);
  scale: 1.05;
}
.blog-post-long > a {
  text-decoration: none;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: flex-end;
  position: relative;
}
.blog-post-long img {
  border-radius: 0.625rem;
  height: 100%;
  width: 100%;
  top: 0;
  position: absolute;
}
.blog-post-long .content-post {
  position: relative;
  z-index: 2;
  background-color: #fffefeb2;
  padding: 0.3rem 0.8rem 0.5rem;
  border-radius: 0 0 0.5rem 0.5rem;
  margin-top: 40vh;
}

.blog-post-long h3 {
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  color: rgb(33 37 41);
  margin-bottom: 0.25rem;
}
.blog-post-long p {
  font-style: normal;
  font-weight: 300;
  font-size: 16px;
  color: #4d4c4c;
  margin-bottom: 0.75rem;
}
.blog-post-long label {
  font-style: normal;
  font-weight: 700;
  font-size: 1rem;
  margin-top: auto;
  color: #ff2566;
}

/*----------------------------------------------------------------*/

/*----------------- Social Media style --------------------------*/
.social-media i {
  color: white;
  font-size: 1.375rem;
  margin: 0 0.5rem;
}
.social-media i:active {
  color: #ff2566;
}
.social-media i:hover {
  color: #f04d7d;
}

/*----------------------------------------------------------------*/

/*----------------- Content Box (Cta Component) ------------------*/

.headline-component {
  font-style: normal;
  font-weight: 600;
  width: 100%;
  font-size: 3.5rem;
}
.paragraph-component {
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  color: #4d4c4c;
  margin-block: 1em;
}

.input-text {
  width: 43%;
  height: 2.5rem;
  border: 1px solid #4d4c4c;
  box-sizing: border-box;
  padding: 0.75rem 2rem 0.75rem 1rem;
  border-radius: 0.375rem;
  margin: 0.25rem;
  font-style: italic;
  font-size: 0.8rem;
  font-weight: 300;
}
.input-text::placeholder {
  color: #b8b6b6;
}
.input-button {
  border-radius: 0.375rem;
  background-image: linear-gradient(82.67deg, #ff2566 3.22%, #a75098 99.29%);
  box-shadow: inset 4px -4px 4px rgba(0, 0, 0, 0.1);
  color: white;
  padding: 0.75rem;
  width: 45%;
  height: 3.5rem;
  border: 1px solid #4d4c4c;
  box-sizing: border-box;
  font-size: 1.25rem;
  font-weight: 500;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
}

.input-button:hover {
  background-image: var(
    --menu-cta-hover,
    linear-gradient(46deg, #ff2566 64.9%, #a75098 100%)
  );
}
/*----------------------------------------------------------------*/

/*----------------- Blog cards box section ----------------------*/
.blogposts-section {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 2rem;
  margin-bottom: 3rem;
}
.blog-box-home {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
}
.blog-box-home > h3 {
  font-weight: 700;
  font-size: 1.25rem;
  text-align: center;
  margin-bottom: 2rem;
}
/*----------------------------------------------------------------*/

/*----------------- CTA Content Box ----------------------*/
.products-cta-comp {
  display: flex;
  max-height: 30rem;
}
.products-cta-comp img {
  object-fit: contain;
  width: 50%;
}
.products-cta-comp > div {
  margin-right: 1%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 50%;
  margin-left: 1%;
}
.products-cta-comp form .input-text {
  width: 48%;
  margin-right: 2%;
}
.products-cta-comp form .input-button {
  width: 35%;
}
.products-cta-comp .headline-component {
  font-size: 3.2rem;
}

.products-nocta-comp {
  margin-bottom: 2rem;
}

.products-nocta-comp-2 {
  margin-top: 14rem;
}
